package windorBuilder;

import java.awt.Color;

public class ColorChanger implements Runnable {

	CustomPanel panel;
	Color c[] = {Color.black, Color.blue, Color.cyan, Color.green, Color.yellow, Color.red, Color.magenta};
	Color curr;
	boolean threadRunning;
	
	public ColorChanger(CustomPanel p) {
		threadRunning = false;
		panel = p;
	}
	
	public boolean isRunning() {
		return threadRunning;
	}
	
	public void stopRunning() {
		threadRunning = false;
	}
	
	public Color getCurrentColor() {
		return curr;
	}
	
	@Override
	public void run() {
		threadRunning = true;
		int i = 0;
		while(threadRunning) {
			curr = c[i];
			panel.repaint();
			i++;
			if( c.length <= i ) { i = 0; }
			try {
				Thread.sleep(100);
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}
}
