package windorBuilder;

import java.awt.Graphics;

import javax.swing.JPanel;

public class CustomPanel extends JPanel {
	private ColorChanger changer;

	/**
	 * Create the panel.
	 */
	public CustomPanel() {
		changer = new ColorChanger(this);
	}
	
	public ColorChanger getColorChanger() {
		return changer;
	}
	
	public void clear() {
		Graphics g = this.getGraphics();
		g.clearRect(0, 0, this.getWidth(), this.getHeight());
	}
	
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		g.setColor(changer.getCurrentColor());
		
		int x = (int)(this.getWidth()  * 0.1);
		int y = (int)(this.getHeight() * 0.1);
		g.fillRect(x, y, this.getWidth() - (x * 2), this.getHeight() - (y * 2));
	}
}
